# coding=utf-8

import datetime
import logging

from django.test import TestCase

from web.tests.functions import create_study_subject
from web.importer import SubjectExporter
from web.models import Subject, StudySubject, Study, Provenance
from web.models.constants import GLOBAL_STUDY_ID

logger = logging.getLogger(__name__)


class TestExporter(TestCase):

    def setUp(self):
        self.study = Study.objects.filter(id=GLOBAL_STUDY_ID)[0]

    def test_export_not_excluded(self):
        create_study_subject()

        exporter = SubjectExporter(filename="empty.csv")
        exporter.execute()

        self.assertEqual(0, exporter.exported_count)
        self.assertEqual(0, exporter.warning_count)

    def test_export_excluded(self):
        subject = create_study_subject()
        subject.excluded=True
        subject.save()

        exporter = SubjectExporter(filename="empty.csv")
        exporter.execute()

        self.assertEqual(1, exporter.exported_count)
        self.assertEqual(0, exporter.warning_count)

